io.vertx.ext.shell.net

## Class SSHOptions

- java.lang.Object
- - io.vertx.ext.shell.net.SSHOptions

-     public class SSHOptions
      extends Object

  The SSH shell configuration options.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSHOptions()`
    `SSHOptions(JsonObject json)`
    `SSHOptions(SSHOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthOptions` | `getAuthOptions()`
    `String` | `getHost()`
    `KeyCertOptions` | `getKeyPairOptions()`
    `int` | `getPort()`
    `SSHOptions` | `setHost(String host)` Set the host
    `SSHOptions` | `setKeyPairOptions(JksOptions options)` Set the key pair options in jks format, aka Java keystore.
    `SSHOptions` | `setPemKeyPairOptions(PemKeyCertOptions options)` Set the key pair store options in pem format.
    `SSHOptions` | `setPfxKeyPairOptions(PfxOptions options)` Set the key pair options in pfx format.
    `SSHOptions` | `setPort(int port)` Set the port
    `SSHOptions` | `setShiroAuthOptions(ShiroAuthOptions shiroAuthOptions)` Set the auth options as a Shiro auth.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSHOptions

          public SSHOptions()

    - #### SSHOptions

          public SSHOptions(SSHOptions that)

    - #### SSHOptions

          public SSHOptions(JsonObject json)

  - ### Method Detail

    - #### getHost

          public String getHost()

      Returns:
        the host

    - #### setHost

          public SSHOptions setHost(String host)

      Set the host
      Parameters:
        `host` - the host
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPort

          public int getPort()

      Returns:
        the port

    - #### setPort

          public SSHOptions setPort(int port)

      Set the port
      Parameters:
        `port` - the port
      Returns:
        a reference to this, so the API can be used fluently

    - #### getKeyPairOptions

          public KeyCertOptions getKeyPairOptions()

      Returns:
        the key pair options

    - #### setKeyPairOptions

          public SSHOptions setKeyPairOptions(JksOptions options)

      Set the key pair options in jks format, aka Java keystore.
      Parameters:
        `options` - the key store in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxKeyPairOptions

          public SSHOptions setPfxKeyPairOptions(PfxOptions options)

      Set the key pair options in pfx format.
      Parameters:
        `options` - the key cert options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemKeyPairOptions

          public SSHOptions setPemKeyPairOptions(PemKeyCertOptions options)

      Set the key pair store options in pem format.
      Parameters:
        `options` - the options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAuthOptions

          public AuthOptions getAuthOptions()

      Returns:
        the auth options

    - #### setShiroAuthOptions

          public SSHOptions setShiroAuthOptions(ShiroAuthOptions shiroAuthOptions)

      Set the auth options as a Shiro auth.
      Parameters:
        `shiroAuthOptions` - the Shiro auth options
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2015. All rights reserved.